<html>
<head>
<title>OgreD3D9Device.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_c7ffc14721c8bed1493f4f78ca8c7331.html">Direct3D9</a>      </li>
      <li class="navelem"><a class="el" href="dir_1208738e8444befc5f502320df40a1ea.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreD3D9Device.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreD3D9Device_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __D3D9Device_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __D3D9Device_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D9Prerequisites_8h.html">OgreD3D9Prerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderTarget_8h.html">OgreRenderTarget.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00035"></a>00035 
<a name="l00036"></a>00036     <span class="keyword">class </span>D3D9RenderWindow;
<a name="l00037"></a>00037     <span class="keyword">class </span>D3D9DeviceManager;
<a name="l00038"></a>00038 
<a name="l00042"></a><a class="code" href="classOgre_1_1D3D9Device.html">00042</a>     <span class="keyword">class </span><a class="code" href="OgreD3D9Prerequisites_8h.html#a2f097a9b4c2ebfb75896e7d6eec01a1d">_OgreD3D9Export</a> <a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">ResourceAlloc</a>
<a name="l00043"></a>00043     {
<a name="l00044"></a>00044 
<a name="l00045"></a>00045     <span class="comment">// Interface.</span>
<a name="l00046"></a>00046     <span class="keyword">public</span>:
<a name="l00047"></a>00047         <span class="keywordtype">void</span>                    attachRenderWindow      (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00048"></a>00048         <span class="keywordtype">void</span>                    detachRenderWindow      (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00049"></a>00049     
<a name="l00050"></a>00050         <span class="keywordtype">bool</span>                    acquire                 ();
<a name="l00051"></a>00051         
<a name="l00052"></a>00052         <span class="keywordtype">void</span>                    release                 ();     
<a name="l00053"></a>00053         <span class="keywordtype">void</span>                    destroy                 ();     
<a name="l00054"></a>00054         
<a name="l00055"></a>00055         <span class="keywordtype">bool</span>                    isDeviceLost            ();             
<a name="l00056"></a>00056         IDirect3DDevice9*       getD3D9Device           ();
<a name="l00057"></a>00057                     
<a name="l00058"></a>00058         UINT                    getAdapterNumber        () <span class="keyword">const</span>;
<a name="l00059"></a>00059         D3DDEVTYPE              getDeviceType           () <span class="keyword">const</span>;
<a name="l00060"></a>00060         <span class="keywordtype">bool</span>                    isMultihead             () <span class="keyword">const</span>;                   
<a name="l00061"></a>00061         <span class="keywordtype">bool</span>                    isAutoDepthStencil      () <span class="keyword">const</span>;
<a name="l00062"></a>00062         <span class="keywordtype">bool</span>                    isFullScreen            () <span class="keyword">const</span>;
<a name="l00063"></a>00063         
<a name="l00064"></a>00064         <span class="keyword">const</span> D3DCAPS9&amp;         getD3D9DeviceCaps       () <span class="keyword">const</span>;
<a name="l00065"></a>00065         D3DFORMAT               getBackBufferFormat     () <span class="keyword">const</span>;
<a name="l00066"></a>00066 
<a name="l00067"></a>00067         <span class="keywordtype">bool</span>                    validate                (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00068"></a>00068         <span class="keywordtype">void</span>                    invalidate              (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00069"></a>00069 
<a name="l00070"></a>00070         <span class="keywordtype">void</span>                    present                 (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00071"></a>00071         
<a name="l00072"></a>00072         IDirect3DSurface9*      getDepthBuffer          (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00073"></a>00073         IDirect3DSurface9*      getBackBuffer           (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00074"></a>00074 
<a name="l00075"></a>00075         <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>                    getRenderWindowCount    () <span class="keyword">const</span>;
<a name="l00076"></a>00076         <a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>*       getRenderWindow         (<a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> index);
<a name="l00077"></a><a class="code" href="classOgre_1_1D3D9Device.html#a638f8f64f8b69d399fbd0b229ba17257">00077</a>         <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>                    <a class="code" href="classOgre_1_1D3D9Device.html#a638f8f64f8b69d399fbd0b229ba17257">getLastPresentFrame</a>     ()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mLastPresentFrame; }
<a name="l00078"></a>00078 
<a name="l00079"></a>00079         <span class="keywordtype">void</span>                    setAdapterOrdinalIndex  (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> adapterOrdinalInGroupIndex);
<a name="l00080"></a>00080         <span class="keywordtype">void</span>                    copyContentsToMemory(<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* window, <span class="keyword">const</span> <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> &amp;dst, <a class="code" href="classOgre_1_1RenderTarget.html#a4b42772d32712767391c749f4745397a">RenderTarget::FrameBuffer</a> buffer);
<a name="l00081"></a>00081         <span class="keywordtype">void</span>                    clearDeviceStreams      ();
<a name="l00082"></a>00082     
<a name="l00083"></a>00083     <span class="keyword">public</span>:
<a name="l00084"></a>00084         <a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a>  (<a class="code" href="classOgre_1_1D3D9DeviceManager.html" title="Device manager interface.">D3D9DeviceManager</a>* deviceManager,
<a name="l00085"></a>00085                      UINT adapterNumber, 
<a name="l00086"></a>00086                      HMONITOR hMonitor, 
<a name="l00087"></a>00087                      D3DDEVTYPE devType, 
<a name="l00088"></a>00088                      DWORD behaviorFlags);
<a name="l00089"></a>00089         ~<a class="code" href="classOgre_1_1D3D9Device.html" title="High level interface of Direct3D9 Device.">D3D9Device</a> ();
<a name="l00090"></a>00090 
<a name="l00091"></a>00091     <span class="keyword">protected</span>:          
<a name="l00092"></a><a class="code" href="classOgre_1_1D3D9Device.html#a9ec1fca41b0e76142d235797847c1340">00092</a>         <a class="code" href="classOgre_1_1D3D9DeviceManager.html" title="Device manager interface.">D3D9DeviceManager</a>*              <a class="code" href="classOgre_1_1D3D9Device.html#a9ec1fca41b0e76142d235797847c1340">mDeviceManager</a>;         <span class="comment">// The manager of this device instance.</span>
<a name="l00093"></a><a class="code" href="classOgre_1_1D3D9Device.html#a74f4debbfef8744e1f2de5e61abfdeed">00093</a>         IDirect3DDevice9*               <a class="code" href="classOgre_1_1D3D9Device.html#a74f4debbfef8744e1f2de5e61abfdeed">mDevice</a>;                    <span class="comment">// Will hold the device interface.              </span>
<a name="l00094"></a><a class="code" href="classOgre_1_1D3D9Device.html#af5eddd4747e882b9e7cace1f1e55f00b">00094</a>         UINT                            <a class="code" href="classOgre_1_1D3D9Device.html#af5eddd4747e882b9e7cace1f1e55f00b">mAdapterNumber</a>;             <span class="comment">// The adapter that this device belongs to. </span>
<a name="l00095"></a><a class="code" href="classOgre_1_1D3D9Device.html#a0f1ea453da36b9686c0470c44537a3bf">00095</a>         HMONITOR                        <a class="code" href="classOgre_1_1D3D9Device.html#a0f1ea453da36b9686c0470c44537a3bf">mMonitor</a>;                   <span class="comment">// The monitor that this device belongs to.</span>
<a name="l00096"></a><a class="code" href="classOgre_1_1D3D9Device.html#a9b68164f21305d08aff888810faccba0">00096</a>         D3DDEVTYPE                      <a class="code" href="classOgre_1_1D3D9Device.html#a9b68164f21305d08aff888810faccba0">mDeviceType</a>;                <span class="comment">// Device type. </span>
<a name="l00097"></a><a class="code" href="classOgre_1_1D3D9Device.html#a8a6e83cff23b7d7750291bbdbf3575fb">00097</a>         <span class="keyword">static</span> HWND                     <a class="code" href="classOgre_1_1D3D9Device.html#a8a6e83cff23b7d7750291bbdbf3575fb">msSharedFocusWindow</a>;        <span class="comment">// The shared focus window in case of multiple full screen render windows.</span>
<a name="l00098"></a><a class="code" href="classOgre_1_1D3D9Device.html#a8bac526f9dfe3204dea2b39208407291">00098</a>         HWND                            <a class="code" href="classOgre_1_1D3D9Device.html#a8bac526f9dfe3204dea2b39208407291">mFocusWindow</a>;               <span class="comment">// The focus window this device attached to.            </span>
<a name="l00099"></a><a class="code" href="classOgre_1_1D3D9Device.html#a16a4bb652c5db85576d22274ea769eaa">00099</a>         DWORD                           <a class="code" href="classOgre_1_1D3D9Device.html#a16a4bb652c5db85576d22274ea769eaa">mBehaviorFlags</a>;             <span class="comment">// The behavior of this device.     </span>
<a name="l00100"></a><a class="code" href="classOgre_1_1D3D9Device.html#aabb340280b2899b9e11c6a9994457ac4">00100</a>         D3DPRESENT_PARAMETERS*          <a class="code" href="classOgre_1_1D3D9Device.html#aabb340280b2899b9e11c6a9994457ac4">mPresentationParams</a>;        <span class="comment">// Presentation parameters which the device was created with. May be</span>
<a name="l00101"></a>00101                                                                     <span class="comment">// an array of presentation parameters in case of multi-head device.                </span>
<a name="l00102"></a><a class="code" href="classOgre_1_1D3D9Device.html#a4f10a344f1475c3014f1711d84627c71">00102</a>         UINT                            <a class="code" href="classOgre_1_1D3D9Device.html#a4f10a344f1475c3014f1711d84627c71">mPresentationParamsCount</a>;   <span class="comment">// Number of presentation parameters elements.      </span>
<a name="l00103"></a><a class="code" href="classOgre_1_1D3D9Device.html#a7b995adfca2cbfc38d8240002c3f49c1">00103</a>         D3DCAPS9                        <a class="code" href="classOgre_1_1D3D9Device.html#a7b995adfca2cbfc38d8240002c3f49c1">mD3D9DeviceCaps</a>;            <span class="comment">// Device caps. </span>
<a name="l00104"></a><a class="code" href="classOgre_1_1D3D9Device.html#a2eec6af8cd486f36e9ddaee2fe5121de">00104</a>         <span class="keywordtype">bool</span>                            <a class="code" href="classOgre_1_1D3D9Device.html#a2eec6af8cd486f36e9ddaee2fe5121de">mD3D9DeviceCapsValid</a>;       <span class="comment">// True if device caps initialized.             </span>
<a name="l00105"></a><a class="code" href="classOgre_1_1D3D9Device.html#af87f3905ce1704b83d64a3cab3dec4cb">00105</a>         D3DDEVICE_CREATION_PARAMETERS   <a class="code" href="classOgre_1_1D3D9Device.html#af87f3905ce1704b83d64a3cab3dec4cb">mCreationParams</a>;            <span class="comment">// Creation parameters.</span>
<a name="l00106"></a><a class="code" href="classOgre_1_1D3D9Device.html#a3e874ea5a466a35d9f8a8633e26f0193">00106</a>         <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>                            <a class="code" href="classOgre_1_1D3D9Device.html#a3e874ea5a466a35d9f8a8633e26f0193">mLastPresentFrame</a>;          <span class="comment">// Last frame that this device present method called.</span>
<a name="l00107"></a><a class="code" href="classOgre_1_1D3D9Device.html#ab5e3316e0e6a7bf5b550577d34cd744f">00107</a>         <span class="keywordtype">bool</span>                            <a class="code" href="classOgre_1_1D3D9Device.html#ab5e3316e0e6a7bf5b550577d34cd744f">mDeviceLost</a>;                <span class="comment">// True if device entered lost state.</span>
<a name="l00108"></a>00108     
<a name="l00109"></a><a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html">00109</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html">RenderWindowResources</a>
<a name="l00110"></a>00110         {
<a name="l00111"></a><a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a59099d36661ca71fc969ceb96cf1b263">00111</a>             IDirect3DSwapChain9*    <a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a59099d36661ca71fc969ceb96cf1b263">swapChain</a>;                      <span class="comment">// Swap chain interface.</span>
<a name="l00112"></a><a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a8c4d9e73591919a3a3d610714a159c12">00112</a>             <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>                    <a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a8c4d9e73591919a3a3d610714a159c12">adapterOrdinalInGroupIndex</a>;     <span class="comment">// Relative index of the render window in the group.</span>
<a name="l00113"></a><a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a0ffbc3eb8d3392b0a0853d2e564a731c">00113</a>             <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>                    <a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a0ffbc3eb8d3392b0a0853d2e564a731c">presentParametersIndex</a>;         <span class="comment">// Index of present parameter in the shared array of the device.</span>
<a name="l00114"></a><a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a169993c3cac2e0a3f779f826aebcbae0">00114</a>             IDirect3DSurface9*      <a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a169993c3cac2e0a3f779f826aebcbae0">backBuffer</a>;                     <span class="comment">// The back buffer of the render window.</span>
<a name="l00115"></a><a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#ac6a72aa7e7a07c45bb42bbfff89abf8b">00115</a>             IDirect3DSurface9*      <a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#ac6a72aa7e7a07c45bb42bbfff89abf8b">depthBuffer</a>;                    <span class="comment">// The depth buffer of the render window.</span>
<a name="l00116"></a><a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a6f56edc78dea29ccec18da86455679ac">00116</a>             D3DPRESENT_PARAMETERS   <a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a6f56edc78dea29ccec18da86455679ac">presentParameters</a>;              <span class="comment">// Present parameters of the render window.</span>
<a name="l00117"></a><a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a4596766fe8c826aadd9cb4525293fde6">00117</a>             <span class="keywordtype">bool</span>                    <a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html#a4596766fe8c826aadd9cb4525293fde6">acquired</a>;                       <span class="comment">// True if resources acquired.          </span>
<a name="l00118"></a>00118         };      
<a name="l00119"></a><a class="code" href="classOgre_1_1D3D9Device.html#a07bbc9f085f17ece1b51ea4dde7bd701">00119</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;D3D9RenderWindow*, RenderWindowResources*&gt;::type</a> <a class="code" href="classOgre_1_1D3D9Device.html#a07bbc9f085f17ece1b51ea4dde7bd701">RenderWindowToResourcesMap</a>;
<a name="l00120"></a><a class="code" href="classOgre_1_1D3D9Device.html#a58c3ba4b392620e6fc74f9d47e9bd601">00120</a>         <span class="keyword">typedef</span> RenderWindowToResourcesMap::iterator                 <a class="code" href="classOgre_1_1D3D9Device.html#a58c3ba4b392620e6fc74f9d47e9bd601">RenderWindowToResourcesIterator</a>;
<a name="l00121"></a>00121 
<a name="l00122"></a><a class="code" href="classOgre_1_1D3D9Device.html#a619b3f0797e321008988124e24b86ec6">00122</a>         <a class="code" href="classOgre_1_1D3D9Device.html#a07bbc9f085f17ece1b51ea4dde7bd701">RenderWindowToResourcesMap</a> <a class="code" href="classOgre_1_1D3D9Device.html#a619b3f0797e321008988124e24b86ec6">mMapRenderWindowToResources</a>;     <span class="comment">// Map between render window to resources.</span>
<a name="l00123"></a>00123 
<a name="l00124"></a>00124 
<a name="l00125"></a>00125     <span class="keyword">protected</span>:
<a name="l00126"></a>00126         <a class="code" href="classOgre_1_1D3D9Device.html#a58c3ba4b392620e6fc74f9d47e9bd601">RenderWindowToResourcesIterator</a> getRenderWindowIterator (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00127"></a>00127 
<a name="l00128"></a>00128         <span class="keywordtype">bool</span>                    acquire                         (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00129"></a>00129         <span class="keywordtype">bool</span>                    reset                           ();
<a name="l00130"></a>00130         <span class="keywordtype">void</span>                    updatePresentationParameters    ();
<a name="l00131"></a>00131         <span class="keywordtype">void</span>                    updateRenderWindowsIndices      ();
<a name="l00132"></a>00132         
<a name="l00133"></a>00133         <span class="keywordtype">void</span>                    createD3D9Device                ();
<a name="l00134"></a>00134         <span class="keywordtype">void</span>                    releaseD3D9Device               ();
<a name="l00135"></a>00135         <span class="keywordtype">void</span>                    releaseRenderWindowResources    (<a class="code" href="structOgre_1_1D3D9Device_1_1RenderWindowResources.html">RenderWindowResources</a>* renderWindowResources);
<a name="l00136"></a>00136         <span class="keywordtype">void</span>                    acquireRenderWindowResources    (<a class="code" href="classOgre_1_1D3D9Device.html#a58c3ba4b392620e6fc74f9d47e9bd601">RenderWindowToResourcesIterator</a> it);       
<a name="l00137"></a>00137         <span class="keywordtype">void</span>                    setupDeviceStates               ();
<a name="l00138"></a>00138         <span class="keywordtype">void</span>                    notifyDeviceLost                ();
<a name="l00139"></a>00139 
<a name="l00140"></a>00140         <span class="keywordtype">void</span>                    validateFocusWindow             ();
<a name="l00141"></a>00141         <span class="keywordtype">void</span>                    validateBackBufferSize          (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00142"></a>00142         <span class="keywordtype">bool</span>                    validateDisplayMonitor          (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00143"></a>00143         <span class="keywordtype">bool</span>                    validateDeviceState             (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00144"></a>00144         <span class="keywordtype">bool</span>                    isSwapChainWindow               (<a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>* renderWindow);
<a name="l00145"></a>00145         <a class="code" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>*       getPrimaryWindow                ();
<a name="l00146"></a>00146         <span class="keywordtype">void</span>                    setSharedWindowHandle           (HWND hSharedHWND);
<a name="l00147"></a>00147 
<a name="l00148"></a>00148     <span class="keyword">private</span>:
<a name="l00149"></a><a class="code" href="classOgre_1_1D3D9Device.html#aec82c6ec0be39f7ecb3e0d165125a540">00149</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1D3D9DeviceManager.html" title="Device manager interface.">D3D9DeviceManager</a>;
<a name="l00150"></a><a class="code" href="classOgre_1_1D3D9Device.html#a2aa03fdbd75af77c8c201ba964251536">00150</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1D3D9RenderSystem.html" title="Implementation of DirectX9 as a rendering system.">D3D9RenderSystem</a>;
<a name="l00151"></a>00151     };
<a name="l00152"></a>00152 }
<a name="l00153"></a>00153 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
